args "--unamed-opts=audio_file --no-handle-version --no-handle-help"

purpose "Print information about audio file(s)"

include(header.m4)
include(loglevel.m4)

<qu>
option "chunk-table" c
#~~~~~~~~~~~~~~~~~~~~~
"print also the chunk table"
flag off
details = "
	The 'chunk table' of an audio file is an array of offsets
	within the audio file. Each offset corresponds to chunk
	of encoded data. The exact meaning of 'chunk' depends on
	the audio format.

	Programs which are unaware of the particular audio format can
	read the chunk table to obtain the timing information needed
	to stream the file.
"

option "parser-friendly" p
#~~~~~~~~~~~~~~~~~~~~~~~~~
"do not use human-readable output format"
flag off
details = "
	Currently this option only affects the format of the chunk table,
	so it has no effect if --chunk-table is not given.

	The human-readable output (the default) consists of one output
	line per chunk and the output contains also the chunk number,
	the duration and the size of each chunk. The parser-friendly
	output prints only the offsets, in one line.
"
</qu>
